import React, { useState, useEffect } from 'react';
import { Input, Modal, Menu, Dropdown, Button, Icon, message, Table, Divider, Tag, Select, Form, Alert } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import XForm, { FieldTypes } from '../../../components/XForm';
import router from 'umi/router';
import apis from '../../../services/apis';
import request from '../../../utils/request';
import moment from 'moment';



const header = props => {

    const [data, setData] = useState({})

    const [datas, setDatas] = useState([])//表格数据
    const [visible, setVisible] = useState()
    const [formsdate, setFormsDate] = useState({})
    //   const [page, changePage] = useState({})
    useEffect(() => {

        setVisible(false)

    }, [])
    const ModalData = props => {
        
    const data = []

    const columns = [
        {
            title: '样例名',
            dataIndex: 'title',
            key: 'title',
            align: 'center',

        },
        {
            title: '权重',
            dataIndex: 'imgUrl',
            key: 'imgUrl',
            align: 'center',
            
        },
        {
            title: '新增人',
            dataIndex: 'pointPrice',
            key: 'pointPrice',
            align: 'center',
        },
        {
            title: '新增时间',
            dataIndex: 'totalNum',
            key: 'totalNum',
            align: 'center',
        },
        {
            title: '修改人',
            dataIndex: 'status',
            key: 'status',
            align: 'center',
            // render: (status) => <><span>{status == 1 ? '是' : '否'}</span></>
        },
        {
            title: '修改时间',
            dataIndex: 'inventory',
            key: 'inventory',
            align: 'center',
        },
    
        {
            title: '操作',
            dataIndex: 'handle',
            key: 'handle',
            align: 'center',
            render: (x, row) => (
                <>


                    <span style={{ color: '#FF925C', cursor: 'pointer' }} onClick={toEditGoods(row.goodsId)}>
                        选择<Icon type="form" className={styles.edit} />
                    </span>

                </>
            ),
        },
    ];
        return (
            <>
                <div>
                <Input placeholder="样例名" style={{ width: 200 }} />
                <Button>搜索</Button><Button>重置</Button>
                <Table  rowKey="goodsList" dataSource={data} columns={columns} pagination={false} />
                </div>
            </>
        )
    }

    const onSelectBusiness = (e) => {
        console.log('11111')

    }

    const fields = [
        {
            label: '通知标题',
            name: 'channelProxyName',
            type: FieldTypes.Text,
            value: data.channelProxyName,
            rules: [
                { required: true, message: '请输入通知标题' },
                { max: 20, message: '通知标题名称不超过20个字符' }
            ]
        },
        {
            label: '通知图',
            name: 'channelImg',
            type: FieldTypes.ImageUploader,
            value: data.channelImg,
            rules: [
                { required: true, message: '请选择通知图' },
            ],
            help: '建议尺寸：N*N px，比例：N:N，格式：jpg，大小：不超过300KB，用于开屏通知主图',
        },
        {
            label: '关联业务类型',
            name: 'channelContactName',

            value: data.channelContactName,
            type: FieldTypes.Select,

        },
        {
            label: '关联业务',
            name: 'channelTel',
            value: data.channelTel,
            //   type: FieldTypes.Text,
            render: (text, record) => <div style={{ display:'flex' }}><div onClick={handleShowModel}>选择关联业务</div><div>234</div></div>,
        },
        {
            label: '发布状态',
            name: 'userName',
            type: FieldTypes.Text,
            rules: [
                { required: true, message: '请选择有效发布状态' },
            ],

        },
        {
            label: '自动下架时间',
            name: 'expireDate',
            type: FieldTypes.DatePicker,
            value: data.expireDate != null ? moment(data.expireDate, 'YYYY-MM-DD') : null,

            help: '下架时间仅支持未来时间，到达未来时间后系统自动将开屏通知发布状态修改为否'

        },
        {
            label: '权重',
            name: 'appMaxNum',
            type: FieldTypes.Number,
            value: data.appMaxNum,

            help: '用于列表排序，越大越靠前'
        },
    ]

    const handleSubmit = (values) => {

    }
    //model
    const handleShowModel = val => {
        setVisible(true);
    }

    const handleCancel = val => {
        setVisible(false);
    }

    const cancelPage = () => {
        router.push({
            pathname: '/resource/pathname',
        });
    }

    return (
        <>
            <div>
                <XForm onSubmit={handleSubmit} onCancel={cancelPage} fields={fields}></XForm>
                <Modal
                    title="选择关联业务"
                    visible={visible}
                    //  onOk={handleOk}

                    onCancel={handleCancel}
                    footer={null}
                >
                    <ModalData></ModalData>
                    {/* <Table rowSelection={rowSelection} rowKey="goodsList" dataSource={data} columns={columns} pagination={false} /> */}
                </Modal>
            </div>
        </>
    )
}

const WrappedNormalLoginForm = Form.create({ name: 'header' })(header);
export default WrappedNormalLoginForm